Subject: [manet] obtaining IP of roaming client

From: Abhishek Misra <[email-masked]>
Date: Fri, 28 Jul 2006 15:47:43 +0530 (IST)

Hello,

I have been trying to obtain ip of roaming client with little success.
I tried with icmp messages 

     client [192.168.6.100]
     ap1 [192.168.6.1/24]
     ap2 [192.168.5.1/24]

client is first associated with ap1 it then moves and assiciates with ap2
I need to obtain ip of client at ap2
I sent broadcast ping -b 255.255.255.255 but client did not respond
tcpdump at client did show icmp requests but client did not generate icmp
reaponse.
default gw is configured on the client is not changed

I wish to know why did client not generate icmp reply
going through the icmp rfc I did not find that a node is not supposed to
respond to icmp echo if subet of source is different than its own.

all suggestions are welcome  

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet